Bug 2370 - --anyauth option was disabled for curl downloader in urpmi ( and its subprograms ).
: --anyauth option was disabled for curl downloader in urpmi ( and its subprogr...
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-23 16:38 MSD by Alexander Burmashev
Modified: 2013-08-02 16:03 MSD (History)
2 users (show)

See Also:
RPM Package: urpmi
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Burmashev 2013-07-23 16:38:35 MSD
--anyauth option was disabled for curl downloader in urpmi ( and its subprograms ).
Comment 1 Alexander Burmashev 2013-07-23 17:00:44 MSD
Advisory:
--anyauth option was disabled for curl downloader in urpmi ( and its subprograms ).

Buildlists:
https://abf.rosalinux.ru/build_lists/1188634
https://abf.rosalinux.ru/build_lists/1188633


Additional info:
This option was disabled since with it curl can't handle current implementations of closed repositories.
Currently urpmi uses curl with --anyuth. In this case curl tries to use http auth and it is not available for ABF closed repositories.
To see that HTTP auth is not working you can either try going to
 http://DAzhL-W0RVzmMaM0Bj0MnQ5EOaLx5xRB37NvfFtLvQg:@abf-downloads.rosalinux.ru/avokhmin_personal/repository/rosa2012lts/i586/main/release through any browser.
Or try 
wget --debug http://DAzhL-W0RVzmMaM0Bj0MnQ5EOaLx5xRB37NvfFtLvQg:@abf-downloads.rosalinux.ru/avokhmin_personal/repository/rosa2012lts/i586/main/release


To fix the issue --anyauth was disabled.

What should be checked with new urpmi.
First of all check that you do not have downloader changed in /etc/urpmi/urpmi.cfg. Curl is used by default
Next
1) To test adding new closed repositories
 urpmi.addmedia test http://DAzhL-W0RVzmMaM0Bj0MnQ5EOaLx5xRB37NvfFtLvQg:@abf-downloads.rosalinux.ru/avokhmin_personal/repository/rosa2012lts/i586/main/release

2) Check that it can be updated
urpmi --auto-update


3) Try urpmi.addmedia --distrib http://mirror.rosalinux.com/rosa/rosa2012.1/repository/i586/ (or x86_64)

4) urpmi --auto-update

5) Try installing packages.

6) try urpmq and urpmf


So generally you need to check that there is no regressions of installing or updating processes.
Comment 2 Alexander Burmashev 2013-07-23 17:01:05 MSD
Please note that this bug was marked as private for Employees of ROSA.
Comment 3 Vladimir Potapov 2013-07-25 15:43:16 MSD
urpmi.addmedia test http://DAzhL-W0RVzmMaM0Bj0MnQ5EOaLx5xRB37NvfFtLvQg:@abf-downloads.rosalinux.ru/avokhmin_personal/repository/rosa2012lts/i586/main/release
добавляется источник «test»
...извлечение не удалось: сбой curl: завершён с 22

для источника «test» не найдены метаданные

(403)
Comment 4 Vladimir Potapov 2013-07-26 14:06:02 MSD
The package route to extended testing
Comment 5 Postnikov Dmitry 2013-07-27 00:28:33 MSD
(In reply to comment #4)
> The package route to extended testing

1. Normal
2. Normal
3. Normal
4. Normal
5. Normal (install 3 packages from secret repo, and any packages from standard repo)
6. Normal (urpmq and urpmf find OK all package in secret repo)
Comment 6 Postnikov Dmitry 2013-07-27 00:43:37 MSD
(In reply to comment #3)
> urpmi.addmedia test
> http://xxxxxxxxxxxxxxxxxxxxxxxxxxxxxx:@abf-downloads.rosalinux.
> ru/avokhmin_personal/repository/rosa2012lts/i586/main/release
> добавляется источник «test»
> ...извлечение не удалось: сбой curl: завершён с 22
> 
> для источника «test» не найдены метаданные
> 
> (403)

Try urpmi.addmedia --curl test http://xxxxxx.......
Comment 7 Vladimir Potapov 2013-07-27 05:52:38 MSD
urpmi-6.71-29-rosa2012.1
********************* Advisory ******************
--anyauth option was disabled for curl downloader in urpmi ( and its subprograms ).
*************************************************
QA Verified